Skip to navigation

Delete Webhook

Deletes a webhook. Only one webhook at a time can be deleted. When a webhook is deleted, it is returned in the response as a 200 OK.

Authentication

X-Auth-Tokenstring

OAuth scopes

None required. Create and manage webhooks with the default scope of an API account.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

webhook_idintegerRequired>=1
The ID of a Webhook.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringOptionalDefaults to application/json

The MIME type of the response body that the client accepts. Typically application/json.

Response

Example response
dataobjectOptional
metaanyOptional